Package net.md_5.bungee.api.score

# Enum Position

java.lang.Object
java.lang.Enum<Position>
net.md_5.bungee.api.score.Position

All Implemented Interfaces:
  `Serializable`, `Comparable<Position>`

public enum Position extends Enum<Position>
Represents locations for a scoreboard to be displayed.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BELOW`
  `LIST`
  `SIDEBAR`
  `SIDEBAR_AQUA`
  `SIDEBAR_BLACK`
  `SIDEBAR_BLUE`
  `SIDEBAR_DARK_AQUA`
  `SIDEBAR_DARK_BLUE`
  `SIDEBAR_DARK_GRAY`
  `SIDEBAR_DARK_GREEN`
  `SIDEBAR_DARK_PURPLE`
  `SIDEBAR_DARK_RED`
  `SIDEBAR_GOLD`
  `SIDEBAR_GRAY`
  `SIDEBAR_GREEN`
  `SIDEBAR_LIGHT_PURPLE`
  `SIDEBAR_RED`
  `SIDEBAR_WHITE`
  `SIDEBAR_YELLOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Position`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Position[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LIST

    public static final Position LIST

  - ### SIDEBAR

    public static final Position SIDEBAR

  - ### BELOW

    public static final Position BELOW

  - ### SIDEBAR_BLACK

    public static final Position SIDEBAR_BLACK

  - ### SIDEBAR_DARK_BLUE

    public static final Position SIDEBAR_DARK_BLUE

  - ### SIDEBAR_DARK_GREEN

    public static final Position SIDEBAR_DARK_GREEN

  - ### SIDEBAR_DARK_AQUA

    public static final Position SIDEBAR_DARK_AQUA

  - ### SIDEBAR_DARK_RED

    public static final Position SIDEBAR_DARK_RED

  - ### SIDEBAR_DARK_PURPLE

    public static final Position SIDEBAR_DARK_PURPLE

  - ### SIDEBAR_GOLD

    public static final Position SIDEBAR_GOLD

  - ### SIDEBAR_GRAY

    public static final Position SIDEBAR_GRAY

  - ### SIDEBAR_DARK_GRAY

    public static final Position SIDEBAR_DARK_GRAY

  - ### SIDEBAR_BLUE

    public static final Position SIDEBAR_BLUE

  - ### SIDEBAR_GREEN

    public static final Position SIDEBAR_GREEN

  - ### SIDEBAR_AQUA

    public static final Position SIDEBAR_AQUA

  - ### SIDEBAR_RED

    public static final Position SIDEBAR_RED

  - ### SIDEBAR_LIGHT_PURPLE

    public static final Position SIDEBAR_LIGHT_PURPLE

  - ### SIDEBAR_YELLOW

    public static final Position SIDEBAR_YELLOW

  - ### SIDEBAR_WHITE

    public static final Position SIDEBAR_WHITE

- ## Method Details

  - ### values

    public static Position[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Position valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null